summaryrefslogtreecommitdiff
path: root/development/swig/swig.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/swig/swig.SlackBuild')
-rw-r--r--development/swig/swig.SlackBuild16
1 files changed, 11 insertions, 5 deletions
diff --git a/development/swig/swig.SlackBuild b/development/swig/swig.SlackBuild
index 6c81bd3bd4..4b9dabf4c7 100644
--- a/development/swig/swig.SlackBuild
+++ b/development/swig/swig.SlackBuild
@@ -10,7 +10,7 @@
# Modified by the SlackBuilds.org project
PRGNAM=swig
-VERSION=1.3.35
+VERSION=1.3.38
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -22,10 +22,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,18 +45,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--exec-prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION